> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new organisation

> Create a new organisation.



## OpenAPI

````yaml /openapi/admin.json post /organisations
openapi: 3.1.0
info:
  title: Nudj Admin API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/admin
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /organisations:
    post:
      tags:
        - Organisation
      summary: Create a new organisation
      description: Create a new organisation.
      operationId: createOrganisation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the organisation
                language:
                  type: string
                  description: The language of the organisation e.g. en, de, fr, etc.
                timezone:
                  type: string
                  description: The timezone of the organisation (IANA format)
                location:
                  type: string
                  enum:
                    - DE
                    - US
                  description: The location of data for the organisation
                slug:
                  type: string
                  description: The slug of the organisation
                emails:
                  type: array
                  items:
                    type: string
                    format: email
                  minItems: 1
                  description: >-
                    Array of email addresses that should have access to the
                    organisation
              required:
                - name
                - language
                - timezone
                - location
                - slug
                - emails
              description: The input required to create an organisation
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    pattern: ^[0-9a-fA-F]{24}$
                    description: The id of the organisation
                  name:
                    type: string
                    description: The name of the organisation
                  language:
                    type: string
                    description: The language of the organisation e.g. en, de, fr, etc.
                  timezone:
                    type: string
                    description: The timezone of the organisation (IANA format)
                  location:
                    type: string
                    enum:
                      - DE
                      - US
                    description: The location of data for the organisation
                  createdBy:
                    type: string
                    description: The user who created this organisation
                  updatedBy:
                    type: string
                    description: The user who last updated this organisation
                required:
                  - id
                  - name
                  - language
                  - timezone
                  - location
                  - createdBy
                  - updatedBy
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````